Bug 91467 - ncpmount gives "ncpmount: No referrals (-634) in nds login" when trying to mount server volumes
ncpmount gives "ncpmount: No referrals (-634) in nds login" when trying to mo...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: ncpfs (Show other bugs)
2.1
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Florian La Roche
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-22 17:11 EDT by Barry Johnson
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-12 10:55:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Barry Johnson 2003-05-22 17:11:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3; Linux)

Description of problem:
We get this error when trying to mount netware server volumes (5.x and 6):

   "ncpmount: No referrals (-634) in nds login"

We have other systems running ncpfs-2.2.0.17-3 under several versions of Redhat 7.x that mount these servers fine.

Here is an example of the mount:

[root@rh1 root]# ncpmount -S SHARE -U cyclist.c.employee.clemsonu -A share.clemson.edu /mnt/barry/
Logging into SHARE as CYCLIST.C.EMPLOYEE.CLEMSONU
Password:
ncpmount: No referrals (-634) in nds login
Login denied.


From what we can tell, it appears that this problem is somehow related to NDS replicas and the mechanism for referring the client to servers that have replicas.

Any ideas?

Thanks..

Barry Johnson
Clemson University


Version-Release number of selected component (if applicable):
ncpfs-2.2.0.18-6

How reproducible:
Always

Steps to Reproduce:
1. create a mount point to mount the server and it's volumes on
2. issue the ncpmount command:
ncpmount -S SHARE -U cyclist.c.employee.clemsonu -V SHARE -A share.clemson.edu /mnt/barry
3.
    

Actual Results:  ncpmount: No referrals (-634) in nds login
Login denied.


Expected Results:  no text response, the volume should be mounted in /mnt/barry

Additional info:

This mount point, server, and login credentials works fine on servers running ncpfs-2.2.0.17-3
Comment 1 Suzanne Hillman 2003-08-12 10:55:36 EDT
This has been resolved in RHEL3, in that npcfs has been removed.

It is not expected to be resolved in any upcoming errata for 2.1.

Note You need to log in before you can comment on or make changes to this bug.